Subject: Re: bcm43xx symbol clash problems

From: Michael Buesch <[email-masked]>
Date: Tue, 11 Apr 2006 18:35:03 +0200

On Tuesday 11 April 2006 08:39, Johannes Berg wrote:
> On Mon, 2006-04-10 at 02:16 +0200, Michael Buesch wrote:
> > Does kbuild perhaps have some magic to handle that?
> > 
> > This needs to be solved soon, but I have no idea how.
> 
> You want to have bcm43xx and bcm43xx-dscape conflict anyway, since
> there's no point in building both into the kernel, only one can be bound
> to a device. Yes, I know one could still bind them manually, but that's
> about as icky as building them as modules imho. And whoever really needs
> a static kernel will not need both of them.
> 
> I don't know how the Kconfig there is laid out, but wouldn't it be
> possible to make them conflict on both yes?

Sure. I would probably say that both m should conflict, too.
And one y and the other m, too.
This can be done with ugly "depends" statements.

-- 
Greetings Michael.